package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.ZipkinSpans;
import com.hwrj.cloud.portal.model.ZipkinSpansExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ZipkinSpansMapper {
    long countByExample(ZipkinSpansExample example);

    int deleteByExample(ZipkinSpansExample example);

    int deleteByPrimaryKey(@Param("traceIdHigh") Long traceIdHigh, @Param("traceId") Long traceId, @Param("id") Long id);

    int insert(ZipkinSpans record);

    int insertSelective(ZipkinSpans record);

    List<ZipkinSpans> selectByExample(ZipkinSpansExample example);

    ZipkinSpans selectByPrimaryKey(@Param("traceIdHigh") Long traceIdHigh, @Param("traceId") Long traceId, @Param("id") Long id);

    int updateByExampleSelective(@Param("record") ZipkinSpans record, @Param("example") ZipkinSpansExample example);

    int updateByExample(@Param("record") ZipkinSpans record, @Param("example") ZipkinSpansExample example);

    int updateByPrimaryKeySelective(ZipkinSpans record);

    int updateByPrimaryKey(ZipkinSpans record);
}